*:focus {
    outline: 0;
}

.fade {
    opacity: 0.15;
    -webkit-transition: none;
         -o-transition: none;
            transition: none;
}

label {
    font-weight: normal !important;
}

.dropdown-menu {
    border-radius: 0px;
    border: none;
}

.scrollable-dropdown ul{
    height: auto;
    max-height: 190px;
    overflow-x: hidden;
}

.navbar {
    min-height: 0px !important;
    padding: 5px 0px;
}

.options-group {
    margin-left: 10px;
}

.mode-group {
    margin-left: 7px;
}

.options-group .btn,
.mode-group .btn {
    padding: 2px 6px;
    line-height: 16px;
}

.options-group .btn,
.mode-group .btn .glyphicon {
    font-size: 18px;
}

.btn:focus {
    outline: none !important;
}

.btn.btn-clear {
    background: none;
}

.btn.btn-clear:hover,
.btn.btn-clear.hover {
/*    background: #282828;*/
    border-radius: 3px !important;
    border: 1px solid #424242;
}

.btn.btn-clear.active {
    color: #eee !important;
/*    border: 1px solid #eee;*/
    z-index: 500;
}

.btn.btn-clear.active:hover,
.btn.btn-clear.active.hover {
    background: none;
}

.tooltip.bottom .tooltip-inner {
    background-color: #424242;
}
.tooltip.bottom .tooltip-arrow {
    border-bottom-color: #424242;
}

.input-group.daterange {
/*    margin-right: -25px;*/
}

.input-group.daterange:hover .input-group-addon,
.input-group.daterange:hover input {
    color: #eee !important;
}

.input-group.daterange .input-group-addon {
    padding: 2px 5px 3px 5px;
    border-radius: 0px;
    border: none;
    cursor: pointer;
}

.input-group.daterange .input-group-addon:hover {
    color: #eee;
}

.input-group.daterange input {
    font-size: 11px;
    width: 115px;
    background-color: #282828;
    border: 1px solid #282828;
    padding: 3px 4px 2px 6px;
    cursor: pointer;
}

.daterange-picker:focus {
    color: #eee;
}

.legend .filter-group,
.legend .legend-group {
    float: right;
    margin-top: 2px;
    margin-left: 10px;
}

.legend .filter-group {
    margin-left: 20px;
    margin-right: 10px;
}


.legend .form-group {
    width: 100%;
}

label.filter-item {
    padding-right: 4px;
}

label.legend-item:first-child {
    margin-left: 0px !important;
}

label.filter-item,
label.legend-item {
    margin-left: 3px !important; 
    padding: 0px 8px 0px 4px;
    line-height: 16px;
}

label.filter-item:hover,
label.legend-item:hover {
    background: #424242;
    color: #eee;
}

label.filter-item span.checkbox,
label.legend-item span.checkbox {
    display: inline-block;
    position: relative;
    padding-left: 2px;
    width: 12px;
    height: 12px;
    right: 4px;
    bottom: 1px;
    background-color: #aaa;
    line-height: 13px;
    color: #eee;
}

.filter-group .grouped:hover .filter-options {
    display: inline-block;
}

.filter-item {
    position: relative;
}

.filter-options {
    display: none;
    position: absolute;
    top: 18px;
    left: 3px;
    
    width: -moz-calc(100% - 6px);
    width: -webkit-calc(100% - 6px);
    width: -o-calc(100% - 6px);
    width: calc(100% - 6px);

    margin-right: 4px;
    background: rgba(40,40,40,0.75);
}

.filter-option {
    width: 100%;
    margin: 0px;
    padding: 0px 10px 2px 5px;
}

.filter-option small {
    font-size: 11px;
}

.filter-option:hover {
    background: rgba(66,66,66,0.75);
    cursor: pointer;
    color: #eee;
}

.filter-option.active {
    color: #eee;
}

.genome-group {
    margin-bottom: 20px;
    padding: 10px;
    border: 1px solid #424242;
    border-radius: 6px;
}

ul.genomes {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}

ul.genomes li.genome {
    border-top: solid 1px #424242;
}

ul.genomes li.genome:last-child {
    margin-bottom: 20px;
    border-bottom: solid 1px #424242;
}

ul.genomes li.ui-sortable-helper {
    border-top: solid 1px #424242;
    border-bottom: solid 1px #424242;
}

ul.genomes li.ui-sortable-helper .info{
    height: 98px;
}

ul.genomes li .row.nub .nub {
    position: absolute;
    bottom: 0px;
    width: 45px;
    height: 10px;
    background: #282828;
    padding: 0px 4px 2px 7px;
    border: 1px solid #424242;
    border-bottom: none;
    z-index: 1;
    overflow: hidden;
    cursor: pointer;
    text-align: center;
    
    -webkit-transition: height 0.25s;
    transition: height 0.25s;
}

ul.genomes li .row.nub .nub.analysis {
    left: 59px;
}

ul.genomes li .row.nub .nub:hover {
    height: 20px;
    
    -webkit-transition: height 0.25s;
    transition: height 0.25s;
}

ul.genomes li .row.nub .nub small {
    opacity: 0;
    font-size: 10px;
    line-height: 20px;
    vertical-align: top;
    
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
}

ul.genomes li .row.nub .nub:hover small {
    opacity: 1;
    color: #eee;
    
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
}

ul.genomes li .row.nub .nub .glyphicon {
    margin-top: -4px;
    font-size: 14px;
}

ul.genomes li .row.nub .nub .caret {
    margin-top: -5px;
}

ul.genomes li .info {
    background: #060606;
}

ul.genomes li .info-body {
    margin-top: 5px;
    padding-left: 10px;
    cursor: move;
}

ul.genomes li .info .glyphicon {
    display: inline-block;
    visibility: hidden;
    line-height: 90px;
    vertical-align: middle;
    cursor: pointer;
}

ul.genomes li .info-body:hover .glyphicon {
    visibility: visible;
}

ul.genomes li.ui-sortable-helper .glyphicon {
    visibility: hidden !important;
}

ul.genomes li .info .glyphicon:hover {
    color: #eee;
}

ul.genomes li .info img {
    font-size: 85%;
    margin-left: 4px;
    max-width: 80px;
    vertical-align: middle;
}

ul.genomes .col-md-10 {
    margin: 5px 0px 10px 0px;
    padding-left: 0px;
}

ul.genomes .col-md-10.chart {
    margin-top: 0px;
    margin-bottom: 5px;
}

ul.genomes .details .col-md-10.chart {
    margin-bottom: 0px;
}

ul.genomes .col-md-10.focus {
    margin-top: 0px;
    margin-bottom: 5px;
}

ul.genomes ul.counts {
    position: absolute;
    top: 5.75px;
    right: 5px;
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}

ul.genomes .row.focus ul.counts {
    top: 2px;
}

ul.genomes ul.counts li {
    height: 10px;
    margin: 1.85px 0px 0px 0px;
    padding: 0px;
    border: none;
    font-size: 10px;
    text-align: right;
    cursor: default;
}

ul.genomes ul.counts li:hover {
    color: #eee;
}

ul.genomes .genome-chart {
    width: 100%;
    height: 100px;
}

ul.genomes .chart .genome-chart{
    height: 95px;
}

ul.genomes .col-md-10.focus .genome-chart {
    height: 92px;
    padding-top: 0px;
    padding-bottom: 0px;
    border: 1px solid #eee;
    border-color: rgba(238,238,238,0.20);
}

ul.genomes .col-md-10.focus .genome-chart .cell {
    stroke: #060606;
    stroke-width: 0.75px;
}

ul.genomes .col-md-10.focus .genome-chart .cell.empty {
    stroke: none;
}

.genome-chart .brush-content .extent {
    stroke: none;
    fill: #eee;
    fill-opacity: 0.20;
    shape-rendering: crispEdges;
}

.genome-chart .resize .resize-handle {
    fill: #888;
    stroke: #424242;
}

.genome-chart .cursor {
    stroke: #eee;
    stroke-width: 1px;
    opacity: 0.65;
    cursor: crosshair;
}


.brush-tip {
    line-height: 1;
    font-size: 10px;
    padding: 5px;
    background: rgba(66,66,66,0.9);
    color: #eee;
    border-radius: 3px;
    z-index: 2;
}

.brush-tip:after {
    box-sizing: border-box;
    display: inline;
    font-size: 8px;
    width: 100%;
    line-height: 1;
    color: rgba(66,66,66,0.9);
    content: "\25BC";
    position: absolute;
    text-align: center;
}

.brush-tip.n:after {
    content: "\25BC";
    margin: -1px 0 0 0;
    top: 100%;
    left: 0;
    text-align: center;
}

.brush-tip.s:after {
    content: "\25B2";
    margin: 0 0 1px 0;
    top: -6px;
    left: 0;
    text-align: center;
}

.alliance-tip {
    max-width: 300px;
    line-height: 1;
    font-size: 11px;
    padding: 0px 10px 0px 10px;
    background: rgba(66,66,66,0.9);
    color: #eee;
    border-radius: 0px;
    z-index: 500;
}

.alliance-tip h5 {
    margin-bottom: 0px;
    padding: 0px;
    font-size: 14px;
}

.alliance-tip h6 {
    margin-top: 4px;
    padding: 0px 0px 4px 0px;
    border-bottom: 1px solid #888;
    font-size: 12px;
}

.alliance-tip .list-inline{
    margin-left: 0px;
}

.alliance-tip .type-details {
    width: 10px;
    height: 10px;
    padding: 0px;
    box-sizing: border-box;
}

.alliance-tip .type-details.empty {
    background: none !important;
    border: 1px solid white;
}

.genome-groups ul.genomes li.genome:last-child {
    margin-bottom: 0px;
}

.genome-singles ul.genomes {
    padding-left: 10px;
    padding-right: 10px;
}

.genome-axis {
    width: 100%;
    height: 20px;
    position: absolute;
    margin-top: -20px;
    z-index: 1;
}

.genome-axis .bg {
    fill: #060606;
    fill-opacity: 0;
    stroke: none;
    -webkit-transition: fill-opacity 0.5s;
    transition: fill-opacity 0.5s;
}

.genome-axis .tick {
    opacity: 0 !important;
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
}

.genome-axis:hover .bg {
    fill-opacity: 0.5;
    -webkit-transition: fill-opacity 0.5s;
    transition: fill-opacity 0.5s;
}

.genome-axis.first .tick,
.genome-axis:hover .tick {
    opacity: 1 !important;
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
}

.genome-axis.first:hover .bg {
    fill-opacity: 0;
}

.genome-axis path,
.genome-axis line {
    fill: none;
    stroke: #424242;
    shape-rendering: crispEdges;
}

.genome-axis text {
    font-size: 10px;
    stroke: none;
    fill: #888;
}

ul.genomes .analysis {
    height: 200px;
    border: none;
    color: #888;
}

ul.genomes .analysis .nav-pills {
    margin-top: 5px;
    padding-right: 5px;
    font-size: 10px;
    color: #888;
}

ul.genomes .analysis .nav-pills > li {
    padding-left: 15px;
}

ul.genomes .analysis .nav-pills > li > a {
    padding: 6px 14px;
    border-radius: 0px;
    color: #888;
}

ul.genomes .analysis .icon-filter {
    font-size: 13px;
    cursor: pointer;
}

ul.genomes .analysis .icon-filter-clear {
    font-size: 13px;
    cursor: pointer;
}

ul.genomes .analysis .nav-pills > li:hover > a{
    color: #eee;
}

ul.genomes .analysis .nav-pills > li.active > a {
    background-color: #282828 !important;
    color: #eee;
}

ul.genomes .analysis .nav-pills > li > a:focus {
/*    background: none;*/
}

ul.genomes .analysis .nav-tabs {
    font-size: 10px;
    color: #888;
}

ul.genomes .analysis .nav-tabs > li > a {
    padding: 5px 10px;
    color: #888;
}

ul.genomes .analysis .nav-tabs > li:hover > a{
    color: #eee;
}

ul.genomes .analysis .nav-tabs > li.active > a {
    background-color: #282828;
    color: #eee;
}

ul.genomes .analysis .tab-pane > .row {
    padding: 0px 10px 0px 10px;
}

ul.genomes .analysis .tab-pane > .row:first-child {
    height: 151px;
}

ul.genomes .analysis .tab-content {
    height: 185px;
}

ul.genomes .analysis .tab-content .list-group {
    margin: 0px;
/*    margin-top: 10px;*/
}

ul.genomes .analysis .tab-content .list-group-item {
    height: 26px;
    padding: 5px 7px;
    background: none;
    border-radius: 0px;
    border-right: none;
    border-left: none;
    font-size: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

ul.genomes .analysis .tab-content .list-group-item:hover {
    background: #424242 !important;
    color: #eee;
}

ul.genomes .analysis .tab-content .list-group-item.header:hover {
    background: none !important;
    color: #888;
}

ul.genomes .analysis .tab-content .list-group-item.active {
    background: #282828;
}

ul.genomes .analysis .tab-content .badge {
    background: none;
    font-size: 10px;
    color: #888;
}

ul.genomes .analysis .tab-content .list-group-item:hover .badge,
ul.genomes .analysis .tab-content .list-group-item.active .badge {
    color: #eee;
}

ul.genomes .analysis .tab-content .list-group-item.header .badge {
    font-weight: normal;
}

ul.genomes .analysis .tab-content .list-group-item.header:hover .badge {
    color: #888;
}

ul.genomes .analysis .meta {
    margin-top: 8px;
}

ul.genomes .analysis .meta .btn {
    padding: 5px 7px;
    font-size: 10px;
    color: #888;
}

ul.genomes .analysis .meta .btn:hover {
    color: #eee;
}

ul.genomes .analysis .pagination {
    margin: 0px;
}

ul.genomes .analysis .pagination a {
    padding: 5px 7px;
    background: none;
    border: none;
    font-size: 10px;
    color: #888;
}

ul.genomes .analysis .pagination li:hover a,
ul.genomes .analysis .pagination li.active a {
    background: #282828;
    color: #eee;
}

ul.genomes .analysis .pagination li.disabled a,
ul.genomes .analysis .pagination li.disabled:hover a{
    background: none;
    color: #424242;
}

ul.genomes .analysis .sort-dropdown {
    margin-right: 10px;
    line-height: 25px;
    font-size: 10px;
    color: #888;
}

ul.genomes .analysis .sort-dropdown a {
    color: #888;
    text-decoration: none !important;
}

ul.genomes .analysis .sort-dropdown a:hover {
    color: #eee;
}

ul.genomes .analysis .sort-dropdown .dropdown-menu ul{
    font-size: 12px;
    color: #888;
    text-decoration: none !important;
}

ul.genomes .analysis .sort-dropdown .dropdown-menu a:hover,
ul.genomes .analysis .sort-dropdown .dropdown-menu a:focus {
    background: none;
    color: #eee;
    text-decoration: none !important;
}

ul.genomes .analysis .tab-pane {
    width: 100%;
}

ul.genomes .analysis .sequence .tab-content {
    width: 100%;
    height: 160px;
}

ul.genomes .analysis .sequence.meta {
    position: absolute;
    width: 100%;
}

ul.genomes .analysis .sequence.meta .glyphicon {
    font-size: 14px;
}


ul.genomes .analysis .sequence .list-group-item {
    cursor: default;
}

ul.genomes .analysis .markov-chart {
    width: 100%;
    height: 165px;
}

ul.genomes .analysis .markov-chart .link {
    fill: none;
    stroke: #ccc;
}

ul.genomes .analysis .markov-chart text {
    font-size: 10px;
    fill: #ccc;
}

.add .dropdown {
    margin-left: 35px;
}

.add .btn,
.add .dropdown-toggle,
.splash .btn,
.splash .dropdown-toggle {
    box-sizing: border-box;
    padding: 2px 6px;
    font-size: 16px;
    line-height: 16px;
    border: 1px solid rgba(0,0,0,0);
    color: #888;
    text-decoration: none;
}

.add .btn:hover,
.add .dropdown-toggle:hover,
.splash .btn:hover,
.splash .dropdown-toggle:hover {
    border: 1px solid #424242;
    border-radius: 3px;
    color: #eee;
}

.input-group.add-search {
    margin: 0px 8px;
}

.input-group.add-search:hover .input-group-addon,
.input-group.add-search:hover input {
    color: #eee !important;
}

.input-group .input-group-addon {
    padding: 2px 5px 3px 5px;
    border-radius: 0px;
    border: none;
    cursor: pointer;
}

.add .dropdown-menu input,
.splash .dropdown-menu input {
    width: 100%;
    font-size: 11px;
    background-color: #424242;
    border: 1px solid #424242;
    border-left: 1px solid #222222;
    padding: 3px 4px 2px 6px;
    cursor: pointer;
}

.add .dropdown-menu input:focus,
.splash .dropdown-menu input:focus {
    color: #eee;
}

.add .dropdown-menu ul,
.splash .dropdown-menu ul {
    min-width: 200px;
    list-style-type: none;
    padding: 0px;
    margin: 5px 0px 0px 0px;
}

.add .dropdown-menu ul > li,
.splash .dropdown-menu ul > li{
    width: 100%;
    padding: 4px 8px;
}

.add .dropdown-menu ul > li:hover,
.splash .dropdown-menu ul > li:hover {
    background: #282828;
}

.add .dropdown-menu ul > li > a,
.splash .dropdown-menu ul > li > a {
    display: inline-block;
    width: 100%;
    height: 100%;
    color: #888;
}


.add .dropdown-menu ul > li > a > small,
.splash .dropdown-menu ul > li > a > small {
    float:right;
    margin-top: 2px;
    color: #888;
}

.add .dropdown-toggle:hover .glyphicon,
.splash .dropdown-toggle:hover .glyphicon {
    color: #eee;
}

.splash .btn:hover,
.splash .dropdown-toggle:hover {
    border: none;
}

.add .dropdown-menu, 
.splash .dropdown-menu {
    width: 320px;
}

.splash .dropdown-menu {
    left: 170px;
}

/** Date picker dropdown **/
.daterangepicker {
    font-size: 12px;
    border: none;
    border-radius: 0px;
}

.daterangepicker.opensright:after {
    border-bottom: 6px solid #222222;
}

.daterangepicker .daterangepicker_start_input label,
.daterangepicker .daterangepicker_end_input label {
    text-shadow: none;
    color: #eee;
}

.daterangepicker.opensright .ranges {
    margin: 8px;
}

.daterangepicker .ranges {
    background: #222222;
}

.daterangepicker .ranges li {
    font-size: 12px;
    background: #222222;
    border: none;
    color: #888;
    border-radius: 0px;
    margin-bottom: 2px;
    padding: 4px;
}

.daterangepicker .ranges li:last-child {
    margin-bottom: 8px;
}

.daterangepicker .ranges li:hover {
    background: #3b3b3b;
    border: none;
    color: #eee;
}

.daterangepicker .ranges li.active {
    background: #424242;
    border: none;
    color: #eee;
}

.daterangepicker .calendar-date {
    border: none;
    background: none;
}

.daterangepicker .ranges .input-mini {
    background: #eee;
    border: none;
    border-radius: 0px;
    height: 25px;
    line-height: 25px;
}

.daterangepicker .applyBtn,
.daterangepicker .cancelBtn {
    background: none;
    border: 1px solid #222222;
    color: #888;
}

.daterangepicker .applyBtn:hover,
.daterangepicker .cancelBtn:hover {
    border: 1px solid #424242;
    color: #eee;
}

.daterangepicker table {
    color: #eee;
}

.daterangepicker td.off {
    color: #888;
}

.daterangepicker td.available:hover,
.daterangepicker th.available:hover {
    background: #bfbfbf;
    border-radius: 0px;
}

.daterangepicker td.active,
.daterangepicker td.active:hover {
    background-color: #424242;
    border-color: #282828;
    border-radius: 0px;
}

.daterangepicker td.disabled,
.daterangepicker option.disabled {
    color: #424242;
}

.daterangepicker td.in-range {
    background: #282828;
}


.splash {
    position: fixed;
    background: rgba(0,0,0,0.85);
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 500;
    opacity: 0;
    visibility: hidden;
    overflow: hidden;
    -webkit-perspective: 1000px;
    perspective: 1000px;
    transition: opacity 0.5s, visibility 0s 0.5s;
    -webkit-transition: opacity 0.5s, visibility 0s 0.5s;
}

.splash-open.splash {
    opacity: 1;
    visibility: visible;
    -webkit-transition: opacity 0.5s;
    transition: opacity 0.5s;
}

.splash .splash-inner {
    width: 100%;
    height: 100%;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-transform: translate3d(0,0,150px);
    transform: translate3d(0,0,150px);
    -webkit-transition: -webkit-transform 0.5s;
    transition: transform 0.5s;
}

.splash-open.splash .splash-inner {
    -webkit-transform: translate3d(0,0,0);
    transform: translate3d(0,0,0);
}

.splash .splash-content {
    width: 660px;
    height: 350px;
    position: absolute;
    top: 40%;
    left: 50%;
    margin: -175px 0 0 -330px;
    color: #888;
    font-size: 18px;
}

.splash-content .splash-img {
    margin-bottom: 20px;
}

.splash-content h1 {
    color: #424242;
    margin-bottom: 20px;
}

.splash-content h6 {
    color: #888;
    margin-bottom: 40px;
}

.splash-content strong {
    color: #eee;
    font-weight: normal;
}

.splash-content input[type=text] {
    width: 33%;
    padding: 4px 10px;
    background: none;
    border: 1px solid #424242;
    font-size: 16px;
    color: #888;
}

.splash-content .dropdown-menu input[type=text] {
    width: 100%;
    font-size: 14px;
    background: #424242;
    border-left: 1px solid #222;
}

.splash-content input[type=text].error {
    border: 1px solid #990000;
}

.splash-content input[type=text]::-moz-placeholder {
    color: #424242;
}

.splash-content input[type=text]::-webkit-input-placeholder {
    color: #424242;
}

.splash-content input[type=text]:-ms-input-placeholder {
    color: #424242;
}

.main-container {
    margin-top: 60px;
}

@media (min-width: 992px) {
    .main-container {
        margin-top: 80px;
    }
}

@media (min-width: 1200px) {
    .main-container {
        margin-top: 60px;
    }
}


